<?php

if ($_GET['elid'] == $_SESSION['username']) {
    echo '<div class="post"><div style="text-align:center">' . "\n";
    echo 'Невозможно удалить главный аккаунт!<br />' . "\n";
    echo '<a href="?func=ftp">Продолжить</a>' . "\n";
    echo '</div><div>' . "\n";
} else {
    if (empty($_GET['sok'])) {
        echo '<div class="post"><div style="text-align:center">' . "\n";
        echo 'Вы действительно хотите удалить FTP аккаунт ' . htmlentities($_GET['elid'], ENT_QUOTES, 'UTF-8') . '?<br />' . "\n";
        echo '<a href="?func=ftp.delete&amp;elid=' . urlencode($_GET['elid']) . '&amp;sok=yes">Да</a> / <a href="?func=ftp">Нет</a>' . "\n";
        echo '</div></div>' . "\n";
    } else {
        $content = api_query('https://' . $server . '/manager/ispmgr?func=ftp.delete&elid=' . urlencode($_GET['elid']) . '&out=xml&authinfo=' . urlencode($_SESSION['username']) . ':' . urlencode($_SESSION['password']));
        $parse_xml = simplexml_load_string($content);
        if (isset($parse_xml->ok)) {
            echo '<div class="post"><div style="text-align:center">' . "\n";
            echo 'Аккаунт успешно удален!<br />' . "\n";
            echo '<a href="?func=ftp">Продолжить</a>' . "\n";
            echo '</div></div>' . "\n";
        } else {
            echo '<div class="post"><div style="text-align:center">' . "\n";
            echo 'Ошибка при удалении аккаунта!<br />' . "\n";
            echo '<a href="?func=ftp">Продолжить</a>' . "\n";
            echo '</div></div>' . "\n";
        }
    }
}

?>